LocationResolver (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.extension.resolvers.LocationResolver class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.extension.resolvers
Class LocationResolver

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.extension.resolvers.LocationResolver

All Implemented Interfaces:
  ExtensionResolver

    public class LocationResolver

extends java.lang.Object
implements ExtensionResolver

Resolver that just returns s specified location.

Constructor Summary
`LocationResolver()`

Method Summary
`java.io.File` | `resolve(Extension extension, Project project)` Returns the resolved file
`void` | `setLocation(java.lang.String location)` Sets the location for this resolver
`java.lang.String` | `toString()` Returns a string representation of the Location

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LocationResolver

    public LocationResolver()

Method Detail

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location for this resolver

  Parameters:
    `location` - the location

### resolve

    public java.io.File resolve(Extension extension,
                                Project project)
                         throws BuildException

  Returns the resolved file

  Specified by:
    `resolve` in interface `ExtensionResolver`
  Parameters:
    `extension` - the extension
    `project` - the project
  Returns:
    the file resolved
  Throws:
    `BuildException` - if no location is set

### toString

    public java.lang.String toString()

  Returns a string representation of the Location

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD